<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.IotDeviceDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="iotDeviceDetailResultMap" type="org.springblade.device.entity.IotDeviceDetail">
        <result column="id" property="id"/>
        <result column="device_id" property="deviceId"/>
        <result column="attribute_name" property="attributeName"/>
        <result column="attribute_value" property="attributeValue"/>
        <result column="attribute_type" property="attributeType"/>
        <result column="attribute_length" property="attributeLength"/>
    </resultMap>


    <select id="selectIotDeviceDetailPage" resultMap="iotDeviceDetailResultMap">
        select * from smart_iot_device_detail where is_deleted = 0
    </select>

</mapper>
